Subject: Re: SIP/PSTN interworking draft

From: [email-masked] (Lawrence Conroy)
Date: Fri, 23 Jul 1999 18:12:20 +0100

>> Scott wrote:
>> It would be a very interesting thing to have a standard
>> format for Calling Card Information, so that it could be
>> included within, among other things a SIP payload.
snip..
At 2:44 pm 22/7/99, Sean Olson commented:
>This is an interesting approach to providing calling card services, but
>I don't see a need to standardize this. In fact, I see a great deal of
>value in different service providers doing this in different ways.

To which I reply:
What value, pray?
It HAS to be something other than "security through obscurity".

Do you mean that you want to use your existing PSTN-based calling card
system that uses dtmf, therefore we have to tunnel dtmf through to a PSTN
gateway?

All the best, Lawrence
-----------------------------------------------------------------------
| Lawrence Conroy,    | "These Opinions must be mine, 'cos if they    |
| Roke Manor Research |  were my Company's they'd charge you for them"|
|- [email-masked]  ---+- Tel: +44 1794 833666  Fax: +44 1794 833434 --|

---

From: Sean Olson <[email-masked]>
Date: Fri, 23 Jul 1999 14:54:24 -0500 (CDT)

> It HAS to be something other than "security through obscurity".
No, I mean service differentiation. The type and amount of information 
you transit is going to determine your ability to provide services.
Different information means the possibility for different services.

> system that uses dtmf, therefore we have to tunnel dtmf through to a PSTN

I mean that you want to be able to use your existing PSTN-based calling card
and other existing PSTN services. I realize this is not the model that 
everyone is following, but I believe there is good reason to provide for
PSTN interoperability.

> All the best, Lawrence

Regards
-----------------------------------------------------------------
Sean Olson            E-mail: [email-masked]
Ericsson Inc.         Voice: (972) 583-5472 
                      FAX: (972) 669-0154

---

From: Sean Olson <[email-masked]>
Date: Thu, 29 Jul 1999 17:04:05 -0500 (CDT)

> I think you guys are missing the "interworking" part of the problem. Let's
> get back to the (I think Steve's) example of a calling-card service.
> 
> We start with a phone -- you know, black plastic thing, ten key interface?
> Simple analog electronics?
> 
> .... (snip)
>
> The card-platform no longer needs dedicated DSP resources.
> 
> .... (snip
>
> There's a separate discussion to be had about the applicability differences
> between in-band and out-of-band.
> 
> --
> Dean Willis
> 

My concern with Scotts' suggestion was not with whether or not DTMF should 
be carried in-band or out-of-band, but whether it is appropriate to standardize service-specific payloads/headers. I was arguing that the focus should be 
on the standardization of transiting DTMF (in-band as well as out-of-band).
I agree 100% with your contention that the DTMF detection and encoding should
be done in the gateway since the DSP resources are there to do so.

In any case, once you have a standardized way of transiting DTMF, you have
a basis for implementing calling card services (in a wide variety of ways).